﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using System.Collections.Generic;

namespace Microsoft.Ted.Wacel.Base
{
    public class DataPage<T>
    {
        public string PageId { get; set; }
        public string ETag { get; set; }

        List<T> Items { get; set; }

        public DataPage()
        {
            Items = new List<T>();
        }
    }
}
