﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using Microsoft.Ted.Wacel.Base;
using System.Runtime.Serialization;

namespace Microsoft.Ted.Wacel
{
    [DataContract]
    public class NodeData : IVersioned
    {
        [DataMember]
        public double Value { get; set; }
        [DataMember]
        public double Average { get; set; }
        [DataMember]
        public double Min { get; set; }
        [DataMember]
        public double Max { get; set; }
        [DataMember]
        public double Median { get; set; }
        [DataMember]
        public long Version { get; set; }

        public NodeData()
        {

        }
        public NodeData(double value)
        {
            Value = value;
            Average = value;
            Min = value;
            Max = value;
            Median = value;
        }
    }
}
