﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using Microsoft.ApplicationServer.Caching;
using Microsoft.Ted.Wacel.Cache;

namespace Microsoft.Ted.Wacel
{
    public class CachedCircularBuffer<T>: Base.CircularBuffer<T>
    {
        public CachedCircularBuffer(string name, long size)
               : base(name, size, 
                    new WindowsAzureCacheDataProvider(new DataCache(), name) {Configuration = new WindowsAzureCacheConfiguration()},
                    new WindowsAzureCachLockProvider(new DataCache(), name))
        {
        }
    }
}
