﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using Microsoft.Ted.Wacel.TableStorage;

namespace Microsoft.Ted.Wacel
{
    public class TableStorageCompressedCircularBuffer: Base.CompressedCircularBuffer
    {
        public TableStorageCompressedCircularBuffer(string name, long size, string connectionString, int batchSize = 1, bool avoidDuplicatedRead = true)
            : base(name, size, 
                new TableStorageDataProvider<byte[]>(connectionString, name) {Configuration = new TableStorageConfiguration() { WriteBatchSize = batchSize }},
                new TableStorageLockProvider(connectionString, name), avoidDuplicatedRead)
        {
        }
    }
}
