﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using System;
namespace Microsoft.Ted.Wacel.Base
{
    public class DataProviderConfiguration: ICloneable
    {
         public int WriteBatchSize { get; set; }
        public int ReadBatchSize { get; set; }
    
        public DataProviderConfiguration()
        {
            WriteBatchSize = 10;
            ReadBatchSize = 10;
        }

        public virtual object Clone()
        {
            return new DataProviderConfiguration(this);
        }
        protected DataProviderConfiguration(DataProviderConfiguration config)
        {
            WriteBatchSize = config.WriteBatchSize;
            ReadBatchSize = config.ReadBatchSize;
        }
    }
}
