﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using System.Collections.Generic;
using System.Runtime.Serialization;

namespace Microsoft.Ted.Wacel
{
    [DataContract]
    public class DimensionNode
    {
        [DataMember]
        public Dimension ParentDimension { get; set; }
        [DataMember]
        public DimensionNode Parent { get; set; }
        [DataMember]
        public string Name { get; set; }
        [DataMember]
        public DimensionNodeType NodeType { get; set; }
        [DataMember]
        public List<DimensionNode> Children { get; set; }
        public DimensionNode(string name, Dimension dimension, DimensionNodeType type)
        {
            ParentDimension = dimension;
            NodeType = type;
            Name = name;
            Children = new List<DimensionNode>();
        }
    }
}
