﻿//Copyright (c) Microsoft Corporation. All rights reserved.

using Microsoft.ApplicationServer.Caching;
using Microsoft.Ted.Wacel.Base;
using System;
using System.Collections.Generic;

namespace Microsoft.Ted.Wacel.Cache
{
    public class CacheRetryPolicy: RetryPolicy
    {
        private static List<Type> mExceptions = new List<Type> { typeof(DataCacheException) };
        public override List<Type> Exceptions
        {
            get
            {
                return mExceptions;
            }
            set
            {
                mExceptions = value;
            }
        }
        public static CacheRetryPolicy DefaultPolicy
        {
            get
            {
                return new CacheRetryPolicy();
            }
        }
    }
}
