﻿//Copyright (c) Microsoft Corporation.  All rights reserved.


using System;
namespace Microsoft.Ted.Wacel.Cache
{
    public class WindowsAzureCacheConfiguration: Base.DataProviderConfiguration
    {
        public bool UseRegion { get; set; }
        public WindowsAzureCacheConfiguration()
        {
            WriteBatchSize = 1;
            UseRegion = true;
        }
        public override object Clone()
        {
            return new WindowsAzureCacheConfiguration(this);
        }
        protected WindowsAzureCacheConfiguration(WindowsAzureCacheConfiguration configuration)
            : base(configuration)
        {
           WriteBatchSize = configuration.WriteBatchSize;
           UseRegion = configuration.UseRegion;
        }
    }
}
