﻿//Copyright (c) Microsoft Corporation. All rights reserved.

namespace Microsoft.Ted.Wacel.TableStorage
{
    public class TableStorageConfiguration : Base.DataProviderConfiguration
    {
        public TableStorageConfiguration()
        {
            WriteBatchSize = 100;
        }
        public override object Clone()
        {
            return new TableStorageConfiguration(this);
        }
        protected TableStorageConfiguration(TableStorageConfiguration configuration)
            : base(configuration)
        {
            WriteBatchSize = configuration.WriteBatchSize;
        }
    }
}
