﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using Microsoft.Ted.Wacel.Base;

namespace Microsoft.Ted.Wacel
{
    public class DataProviderChainNode
    {
        public IDataProvider DataProvider { get; private set; }
        public DataProviderConfiguration DataProviderConfiguration { get; private set; }

        public DataProviderChainNode(IDataProvider provider, DataProviderConfiguration configuration)
        {
            DataProvider = provider;
            DataProviderConfiguration = configuration;
        }
    }
}
