﻿//Copyright (c) Microsoft Corporation.  All rights reserved.

using Microsoft.Ted.Wacel.TableStorage;

namespace Microsoft.Ted.Wacel
{
    public class TableStorageCircularBuffer<T>: Base.CircularBuffer<T>
    {
        public TableStorageCircularBuffer(string name, long size, string connectionString)
            : base(name, size, 
                new TableStorageDataProvider<T>(connectionString, name) {Configuration = new TableStorageConfiguration()},
                new TableStorageLockProvider(connectionString, name))
        {
        }
    }
}
